### Function

# Cogl OnscreenDirtyCallback

#### Declaration

    void
    (* CoglOnscreenDirtyCallback) (
      CoglOnscreen* onscreen,
      const CoglOnscreenDirtyInfo* info,
      void* user_data
    )

#### Description [src]

Is a callback that can be registered via `cogl_onscreen_add_dirty_callback()` to be called when the windowing system determines that a region of the onscreen window has been lost and the application should redraw it.

#### Parameters

`onscreen`

  Type: `CoglOnscreen`

  The onscreen that the frame is associated with.

  The data is owned by the caller of the function.

`info`

  Type: `CoglOnscreenDirtyInfo`

  A `CoglOnscreenDirtyInfo` struct containing the details of the dirty area.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  The user pointer passed to cogl_onscreen_add_frame_callback().

  The argument can be `NULL`.
  The data is owned by the caller of the function.